Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6591 - cannot print from 'display' command
Summary: cannot print from 'display' command
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick
Version: 6.1
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-01 06:30 UTC by chauvin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-18 23:12:40 UTC


Attachments (Terms of Use)

Description chauvin 1999-11-01 06:30:16 UTC
ImageMagick (display command) tries to print via an exec
to the 'lp' command.  Unless I failed to install the right
printer rpm, my system has only 'lpr'

so the result is that printing does not work from
ImageMagick.

Comment 1 Michael K. Johnson 1999-11-18 23:12:59 UTC
Thanks.  That's fixed in our latest ImageMagick package, which will
be in the next RawHide and the next Red Hat Linux.

In the meantime, in /usr/X11R6/share/ImageMagick/delegates.mgk, change
	lp -c -s %i
to
	lpr %i
and it should work.  You can even select your favorite printer there with
	lpr -P<something> %i
if you like.


Note You need to log in before you can comment on or make changes to this bug.